<style>
  
.yes {
  
  background-color: #47B84B;
  color: white;
  font-weight: bold;
  font-size: 11px;
  display: inline-block;
  padding: 2px 1.2em;
  border-radius: 7px;
  margin: 2px;
  
}

.no {
  
  background-color: #F83D2F;
  color: white;
  font-weight: bold;
  font-size: 11px;
  display: inline-block;
  padding: 2px 1.2em;
  border-radius: 7px;
  margin: 2px;
  
}
  
</style>

<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Конфигурация сервера')."";
ECHO "</div>"; 

ECHO "<div class='fon2'>";

LIST ($php_ver1, $php_ver2, $php_ver3) = EXPLODE('.', STRTOK(STRTOK(PHPVERSION(),'-'),' '), 3);

$php_p = $php_ver1.".".$php_ver2;

IF ($php_p == '7.2'){
  
  $php = "<span class='yes'>".LG('есть')."</span>";
  
}ELSE{
  
  $php = "<span class='no'>".LG('отсутствует')."</span><br /><small>* необходима поддержка PHP 7.2 для работы сайта. Текущая версия: ".$php_ver1.".".$php_ver2.".".$php_ver3."</small>";
  
}

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Версия PHP')." 7.2:</b> ".$php."";
ECHO "</div>";

IF (DB::CONNECT(0)){
  
  $pdo = "<span class='yes'>".LG('есть')."</span>";
  
}ELSE{
  
  $pdo = "<span class='no'>".LG('отсутствует')."</span><br /><small>* необходима поддержка PDO для работы сайта</small>";
  
}

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Драйвер PDO').":</b> ".$pdo."";
ECHO "</div>";

IF (FUNCTION_EXISTS('exec')) {
  
  $exec = "<span class='yes'>".LG('есть')."</span>";
  
}ELSE{
  
  $exec = "<span class='no'>".LG('отсутствует')."</span><br /><small>* без поддержки этой функции некоторые функции на сайте не будут работать. Например, получение скриншота и длительности видео</small>";
  
}

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Вызов внешней программы')." (EXEC()):</b> ".$exec."";
ECHO "</div>";

IF (FUNCTION_EXISTS('disk_free_space') && FUNCTION_EXISTS('disk_total_space')){
  
  $free_space = disk_free_space(ROOT);
  $total_space = disk_total_space(ROOT);
  
  $disk = "<span class='yes'>".LG('свободно').": ".SIZE_FILE($free_space)." из ".SIZE_FILE($total_space)."</span>";
  
}ELSE{
  
  $disk = "<span class='no'>".LG('нет данных')."</span>";
  
}

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Память на сервере').":</b> ".$disk."";
ECHO "</div>";

IF (FUNCTION_EXISTS('apache_get_modules')){
  
  $mr = "<span class='yes'>".LG('есть')."</span>";

}ELSE{
  
  $mr = "<span class='no'>".LG('отсутствует')."</span><br /><small>* необходима поддержка mod_rewrite для корректной работы сайта</small>";
  
}

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Поддержка')." mod_rewrite:</b> ".$mr."";
ECHO "</div>";

ECHO "</div>";

?>